Subject: Re: [PATCH 00/11] reftable: expose write options as config

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 2 May 2024 09:29:31 +0200

On Thu, May 02, 2024 at 08:51:27AM +0200, Patrick Steinhardt wrote:
> Hi,
> 
> the reftable format has some flexibility with regards to how exactly it
> writes the respective tables:
> 
>   - The block size allows you to control how large each block is
>     supposed to be. The bigger the block, the more records you can fit
>     into it.
> 
>   - Restart intervals control how often a restart point is written that
>     breaks prefix compression. The lower the interval, the less disk
>     space savings you get.
> 
>   - Object indices can be enabled or disabled. These are optional and
>     Git doesn't use them right now, so disabling them may be a sensible
>     thing to do if you want to save some disk space.
> 
>   - The geometric factor controls when we compact tables during auto
>     compaction.
> 
> This patch series exposes all of these via a new set of configs so that
> they can be tweaked by the user as-needed. It's not expected that those
> are really of much importance for the "normal" user -- the defaults
> should be good enough. But for edge cases (huge repos with millions of
> refs) and for hosting providers these knobs can be helpful.
> 
> This patch series applies on top of d4cc1ec35f (Start the 2.46 cycle,
> 2024-04-30).

Ugh. I actually intended to pull in ps/reftable-write-optim as a
dependency because I know it causes conflicts. But I screwed this up as
I thought that the topic was merged into "master" already, even though
it has only hit "next".

I'll refrain from sending a new version immediately though and will wait
for reviews first. Once those are in I will pull in the above topic.

Patrick